<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\MainBundle\Notification\Email\NotificationEmailMessages;

readonly class ScheduleDailyNotificationDigestMessage
{
    public function __construct(
        private int $userId,
        private \DateTimeInterface $lastExecutionDate,
        private \DateTimeInterface $currentDate,
    ) {}

    public function getUserId(): int
    {
        return $this->userId;
    }

    public function getLastExecutionDateTime(): \DateTimeInterface
    {
        return $this->lastExecutionDate;
    }

    public function getCurrentDateTime(): \DateTimeInterface
    {
        return $this->currentDate;
    }
}
